Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network18.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
18.128.0.0
Broadcast address
18.255.255.255
First usable
18.128.0.1
Last usable
18.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 12800000 · Integer 310378496 to 318767103
Reverse DNS zones
128.18.in-addr.arpa
129.18.in-addr.arpa
130.18.in-addr.arpa
131.18.in-addr.arpa
132.18.in-addr.arpa
133.18.in-addr.arpa
134.18.in-addr.arpa
135.18.in-addr.arpa
136.18.in-addr.arpa
137.18.in-addr.arpa
138.18.in-addr.arpa
139.18.in-addr.arpa
140.18.in-addr.arpa
141.18.in-addr.arpa
142.18.in-addr.arpa
143.18.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010010.10000000.00000000.0000000018.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00010010.10000000.00000000.0000000018.128.0.0
Broadcast00010010.11111111.11111111.1111111118.255.255.255
Split into smaller subnets/17

18.128.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
118.128.0.0/1718.128.0.1 to 18.128.127.25418.128.127.25532,766
218.128.128.0/1718.128.128.1 to 18.128.255.25418.128.255.25532,766
318.129.0.0/1718.129.0.1 to 18.129.127.25418.129.127.25532,766
418.129.128.0/1718.129.128.1 to 18.129.255.25418.129.255.25532,766
518.130.0.0/1718.130.0.1 to 18.130.127.25418.130.127.25532,766
618.130.128.0/1718.130.128.1 to 18.130.255.25418.130.255.25532,766
718.131.0.0/1718.131.0.1 to 18.131.127.25418.131.127.25532,766
818.131.128.0/1718.131.128.1 to 18.131.255.25418.131.255.25532,766
918.132.0.0/1718.132.0.1 to 18.132.127.25418.132.127.25532,766
1018.132.128.0/1718.132.128.1 to 18.132.255.25418.132.255.25532,766
1118.133.0.0/1718.133.0.1 to 18.133.127.25418.133.127.25532,766
1218.133.128.0/1718.133.128.1 to 18.133.255.25418.133.255.25532,766
1318.134.0.0/1718.134.0.1 to 18.134.127.25418.134.127.25532,766
1418.134.128.0/1718.134.128.1 to 18.134.255.25418.134.255.25532,766
1518.135.0.0/1718.135.0.1 to 18.135.127.25418.135.127.25532,766
1618.135.128.0/1718.135.128.1 to 18.135.255.25418.135.255.25532,766
1718.136.0.0/1718.136.0.1 to 18.136.127.25418.136.127.25532,766
1818.136.128.0/1718.136.128.1 to 18.136.255.25418.136.255.25532,766
1918.137.0.0/1718.137.0.1 to 18.137.127.25418.137.127.25532,766
2018.137.128.0/1718.137.128.1 to 18.137.255.25418.137.255.25532,766
2118.138.0.0/1718.138.0.1 to 18.138.127.25418.138.127.25532,766
2218.138.128.0/1718.138.128.1 to 18.138.255.25418.138.255.25532,766
2318.139.0.0/1718.139.0.1 to 18.139.127.25418.139.127.25532,766
2418.139.128.0/1718.139.128.1 to 18.139.255.25418.139.255.25532,766
2518.140.0.0/1718.140.0.1 to 18.140.127.25418.140.127.25532,766
2618.140.128.0/1718.140.128.1 to 18.140.255.25418.140.255.25532,766
2718.141.0.0/1718.141.0.1 to 18.141.127.25418.141.127.25532,766
2818.141.128.0/1718.141.128.1 to 18.141.255.25418.141.255.25532,766
2918.142.0.0/1718.142.0.1 to 18.142.127.25418.142.127.25532,766
3018.142.128.0/1718.142.128.1 to 18.142.255.25418.142.255.25532,766
3118.143.0.0/1718.143.0.1 to 18.143.127.25418.143.127.25532,766
3218.143.128.0/1718.143.128.1 to 18.143.255.25418.143.255.25532,766
3318.144.0.0/1718.144.0.1 to 18.144.127.25418.144.127.25532,766
3418.144.128.0/1718.144.128.1 to 18.144.255.25418.144.255.25532,766
3518.145.0.0/1718.145.0.1 to 18.145.127.25418.145.127.25532,766
3618.145.128.0/1718.145.128.1 to 18.145.255.25418.145.255.25532,766
3718.146.0.0/1718.146.0.1 to 18.146.127.25418.146.127.25532,766
3818.146.128.0/1718.146.128.1 to 18.146.255.25418.146.255.25532,766
3918.147.0.0/1718.147.0.1 to 18.147.127.25418.147.127.25532,766
4018.147.128.0/1718.147.128.1 to 18.147.255.25418.147.255.25532,766
4118.148.0.0/1718.148.0.1 to 18.148.127.25418.148.127.25532,766
4218.148.128.0/1718.148.128.1 to 18.148.255.25418.148.255.25532,766
4318.149.0.0/1718.149.0.1 to 18.149.127.25418.149.127.25532,766
4418.149.128.0/1718.149.128.1 to 18.149.255.25418.149.255.25532,766
4518.150.0.0/1718.150.0.1 to 18.150.127.25418.150.127.25532,766
4618.150.128.0/1718.150.128.1 to 18.150.255.25418.150.255.25532,766
4718.151.0.0/1718.151.0.1 to 18.151.127.25418.151.127.25532,766
4818.151.128.0/1718.151.128.1 to 18.151.255.25418.151.255.25532,766
4918.152.0.0/1718.152.0.1 to 18.152.127.25418.152.127.25532,766
5018.152.128.0/1718.152.128.1 to 18.152.255.25418.152.255.25532,766
5118.153.0.0/1718.153.0.1 to 18.153.127.25418.153.127.25532,766
5218.153.128.0/1718.153.128.1 to 18.153.255.25418.153.255.25532,766
5318.154.0.0/1718.154.0.1 to 18.154.127.25418.154.127.25532,766
5418.154.128.0/1718.154.128.1 to 18.154.255.25418.154.255.25532,766
5518.155.0.0/1718.155.0.1 to 18.155.127.25418.155.127.25532,766
5618.155.128.0/1718.155.128.1 to 18.155.255.25418.155.255.25532,766
5718.156.0.0/1718.156.0.1 to 18.156.127.25418.156.127.25532,766
5818.156.128.0/1718.156.128.1 to 18.156.255.25418.156.255.25532,766
5918.157.0.0/1718.157.0.1 to 18.157.127.25418.157.127.25532,766
6018.157.128.0/1718.157.128.1 to 18.157.255.25418.157.255.25532,766
6118.158.0.0/1718.158.0.1 to 18.158.127.25418.158.127.25532,766
6218.158.128.0/1718.158.128.1 to 18.158.255.25418.158.255.25532,766
6318.159.0.0/1718.159.0.1 to 18.159.127.25418.159.127.25532,766
6418.159.128.0/1718.159.128.1 to 18.159.255.25418.159.255.25532,766
6518.160.0.0/1718.160.0.1 to 18.160.127.25418.160.127.25532,766
6618.160.128.0/1718.160.128.1 to 18.160.255.25418.160.255.25532,766
6718.161.0.0/1718.161.0.1 to 18.161.127.25418.161.127.25532,766
6818.161.128.0/1718.161.128.1 to 18.161.255.25418.161.255.25532,766
6918.162.0.0/1718.162.0.1 to 18.162.127.25418.162.127.25532,766
7018.162.128.0/1718.162.128.1 to 18.162.255.25418.162.255.25532,766
7118.163.0.0/1718.163.0.1 to 18.163.127.25418.163.127.25532,766
7218.163.128.0/1718.163.128.1 to 18.163.255.25418.163.255.25532,766
7318.164.0.0/1718.164.0.1 to 18.164.127.25418.164.127.25532,766
7418.164.128.0/1718.164.128.1 to 18.164.255.25418.164.255.25532,766
7518.165.0.0/1718.165.0.1 to 18.165.127.25418.165.127.25532,766
7618.165.128.0/1718.165.128.1 to 18.165.255.25418.165.255.25532,766
7718.166.0.0/1718.166.0.1 to 18.166.127.25418.166.127.25532,766
7818.166.128.0/1718.166.128.1 to 18.166.255.25418.166.255.25532,766
7918.167.0.0/1718.167.0.1 to 18.167.127.25418.167.127.25532,766
8018.167.128.0/1718.167.128.1 to 18.167.255.25418.167.255.25532,766
8118.168.0.0/1718.168.0.1 to 18.168.127.25418.168.127.25532,766
8218.168.128.0/1718.168.128.1 to 18.168.255.25418.168.255.25532,766
8318.169.0.0/1718.169.0.1 to 18.169.127.25418.169.127.25532,766
8418.169.128.0/1718.169.128.1 to 18.169.255.25418.169.255.25532,766
8518.170.0.0/1718.170.0.1 to 18.170.127.25418.170.127.25532,766
8618.170.128.0/1718.170.128.1 to 18.170.255.25418.170.255.25532,766
8718.171.0.0/1718.171.0.1 to 18.171.127.25418.171.127.25532,766
8818.171.128.0/1718.171.128.1 to 18.171.255.25418.171.255.25532,766
8918.172.0.0/1718.172.0.1 to 18.172.127.25418.172.127.25532,766
9018.172.128.0/1718.172.128.1 to 18.172.255.25418.172.255.25532,766
9118.173.0.0/1718.173.0.1 to 18.173.127.25418.173.127.25532,766
9218.173.128.0/1718.173.128.1 to 18.173.255.25418.173.255.25532,766
9318.174.0.0/1718.174.0.1 to 18.174.127.25418.174.127.25532,766
9418.174.128.0/1718.174.128.1 to 18.174.255.25418.174.255.25532,766
9518.175.0.0/1718.175.0.1 to 18.175.127.25418.175.127.25532,766
9618.175.128.0/1718.175.128.1 to 18.175.255.25418.175.255.25532,766
9718.176.0.0/1718.176.0.1 to 18.176.127.25418.176.127.25532,766
9818.176.128.0/1718.176.128.1 to 18.176.255.25418.176.255.25532,766
9918.177.0.0/1718.177.0.1 to 18.177.127.25418.177.127.25532,766
10018.177.128.0/1718.177.128.1 to 18.177.255.25418.177.255.25532,766
10118.178.0.0/1718.178.0.1 to 18.178.127.25418.178.127.25532,766
10218.178.128.0/1718.178.128.1 to 18.178.255.25418.178.255.25532,766
10318.179.0.0/1718.179.0.1 to 18.179.127.25418.179.127.25532,766
10418.179.128.0/1718.179.128.1 to 18.179.255.25418.179.255.25532,766
10518.180.0.0/1718.180.0.1 to 18.180.127.25418.180.127.25532,766
10618.180.128.0/1718.180.128.1 to 18.180.255.25418.180.255.25532,766
10718.181.0.0/1718.181.0.1 to 18.181.127.25418.181.127.25532,766
10818.181.128.0/1718.181.128.1 to 18.181.255.25418.181.255.25532,766
10918.182.0.0/1718.182.0.1 to 18.182.127.25418.182.127.25532,766
11018.182.128.0/1718.182.128.1 to 18.182.255.25418.182.255.25532,766
11118.183.0.0/1718.183.0.1 to 18.183.127.25418.183.127.25532,766
11218.183.128.0/1718.183.128.1 to 18.183.255.25418.183.255.25532,766
11318.184.0.0/1718.184.0.1 to 18.184.127.25418.184.127.25532,766
11418.184.128.0/1718.184.128.1 to 18.184.255.25418.184.255.25532,766
11518.185.0.0/1718.185.0.1 to 18.185.127.25418.185.127.25532,766
11618.185.128.0/1718.185.128.1 to 18.185.255.25418.185.255.25532,766
11718.186.0.0/1718.186.0.1 to 18.186.127.25418.186.127.25532,766
11818.186.128.0/1718.186.128.1 to 18.186.255.25418.186.255.25532,766
11918.187.0.0/1718.187.0.1 to 18.187.127.25418.187.127.25532,766
12018.187.128.0/1718.187.128.1 to 18.187.255.25418.187.255.25532,766
12118.188.0.0/1718.188.0.1 to 18.188.127.25418.188.127.25532,766
12218.188.128.0/1718.188.128.1 to 18.188.255.25418.188.255.25532,766
12318.189.0.0/1718.189.0.1 to 18.189.127.25418.189.127.25532,766
12418.189.128.0/1718.189.128.1 to 18.189.255.25418.189.255.25532,766
12518.190.0.0/1718.190.0.1 to 18.190.127.25418.190.127.25532,766
12618.190.128.0/1718.190.128.1 to 18.190.255.25418.190.255.25532,766
12718.191.0.0/1718.191.0.1 to 18.191.127.25418.191.127.25532,766
12818.191.128.0/1718.191.128.1 to 18.191.255.25418.191.255.25532,766
12918.192.0.0/1718.192.0.1 to 18.192.127.25418.192.127.25532,766
13018.192.128.0/1718.192.128.1 to 18.192.255.25418.192.255.25532,766
13118.193.0.0/1718.193.0.1 to 18.193.127.25418.193.127.25532,766
13218.193.128.0/1718.193.128.1 to 18.193.255.25418.193.255.25532,766
13318.194.0.0/1718.194.0.1 to 18.194.127.25418.194.127.25532,766
13418.194.128.0/1718.194.128.1 to 18.194.255.25418.194.255.25532,766
13518.195.0.0/1718.195.0.1 to 18.195.127.25418.195.127.25532,766
13618.195.128.0/1718.195.128.1 to 18.195.255.25418.195.255.25532,766
13718.196.0.0/1718.196.0.1 to 18.196.127.25418.196.127.25532,766
13818.196.128.0/1718.196.128.1 to 18.196.255.25418.196.255.25532,766
13918.197.0.0/1718.197.0.1 to 18.197.127.25418.197.127.25532,766
14018.197.128.0/1718.197.128.1 to 18.197.255.25418.197.255.25532,766
14118.198.0.0/1718.198.0.1 to 18.198.127.25418.198.127.25532,766
14218.198.128.0/1718.198.128.1 to 18.198.255.25418.198.255.25532,766
14318.199.0.0/1718.199.0.1 to 18.199.127.25418.199.127.25532,766
14418.199.128.0/1718.199.128.1 to 18.199.255.25418.199.255.25532,766
14518.200.0.0/1718.200.0.1 to 18.200.127.25418.200.127.25532,766
14618.200.128.0/1718.200.128.1 to 18.200.255.25418.200.255.25532,766
14718.201.0.0/1718.201.0.1 to 18.201.127.25418.201.127.25532,766
14818.201.128.0/1718.201.128.1 to 18.201.255.25418.201.255.25532,766
14918.202.0.0/1718.202.0.1 to 18.202.127.25418.202.127.25532,766
15018.202.128.0/1718.202.128.1 to 18.202.255.25418.202.255.25532,766
15118.203.0.0/1718.203.0.1 to 18.203.127.25418.203.127.25532,766
15218.203.128.0/1718.203.128.1 to 18.203.255.25418.203.255.25532,766
15318.204.0.0/1718.204.0.1 to 18.204.127.25418.204.127.25532,766
15418.204.128.0/1718.204.128.1 to 18.204.255.25418.204.255.25532,766
15518.205.0.0/1718.205.0.1 to 18.205.127.25418.205.127.25532,766
15618.205.128.0/1718.205.128.1 to 18.205.255.25418.205.255.25532,766
15718.206.0.0/1718.206.0.1 to 18.206.127.25418.206.127.25532,766
15818.206.128.0/1718.206.128.1 to 18.206.255.25418.206.255.25532,766
15918.207.0.0/1718.207.0.1 to 18.207.127.25418.207.127.25532,766
16018.207.128.0/1718.207.128.1 to 18.207.255.25418.207.255.25532,766
16118.208.0.0/1718.208.0.1 to 18.208.127.25418.208.127.25532,766
16218.208.128.0/1718.208.128.1 to 18.208.255.25418.208.255.25532,766
16318.209.0.0/1718.209.0.1 to 18.209.127.25418.209.127.25532,766
16418.209.128.0/1718.209.128.1 to 18.209.255.25418.209.255.25532,766
16518.210.0.0/1718.210.0.1 to 18.210.127.25418.210.127.25532,766
16618.210.128.0/1718.210.128.1 to 18.210.255.25418.210.255.25532,766
16718.211.0.0/1718.211.0.1 to 18.211.127.25418.211.127.25532,766
16818.211.128.0/1718.211.128.1 to 18.211.255.25418.211.255.25532,766
16918.212.0.0/1718.212.0.1 to 18.212.127.25418.212.127.25532,766
17018.212.128.0/1718.212.128.1 to 18.212.255.25418.212.255.25532,766
17118.213.0.0/1718.213.0.1 to 18.213.127.25418.213.127.25532,766
17218.213.128.0/1718.213.128.1 to 18.213.255.25418.213.255.25532,766
17318.214.0.0/1718.214.0.1 to 18.214.127.25418.214.127.25532,766
17418.214.128.0/1718.214.128.1 to 18.214.255.25418.214.255.25532,766
17518.215.0.0/1718.215.0.1 to 18.215.127.25418.215.127.25532,766
17618.215.128.0/1718.215.128.1 to 18.215.255.25418.215.255.25532,766
17718.216.0.0/1718.216.0.1 to 18.216.127.25418.216.127.25532,766
17818.216.128.0/1718.216.128.1 to 18.216.255.25418.216.255.25532,766
17918.217.0.0/1718.217.0.1 to 18.217.127.25418.217.127.25532,766
18018.217.128.0/1718.217.128.1 to 18.217.255.25418.217.255.25532,766
18118.218.0.0/1718.218.0.1 to 18.218.127.25418.218.127.25532,766
18218.218.128.0/1718.218.128.1 to 18.218.255.25418.218.255.25532,766
18318.219.0.0/1718.219.0.1 to 18.219.127.25418.219.127.25532,766
18418.219.128.0/1718.219.128.1 to 18.219.255.25418.219.255.25532,766
18518.220.0.0/1718.220.0.1 to 18.220.127.25418.220.127.25532,766
18618.220.128.0/1718.220.128.1 to 18.220.255.25418.220.255.25532,766
18718.221.0.0/1718.221.0.1 to 18.221.127.25418.221.127.25532,766
18818.221.128.0/1718.221.128.1 to 18.221.255.25418.221.255.25532,766
18918.222.0.0/1718.222.0.1 to 18.222.127.25418.222.127.25532,766
19018.222.128.0/1718.222.128.1 to 18.222.255.25418.222.255.25532,766
19118.223.0.0/1718.223.0.1 to 18.223.127.25418.223.127.25532,766
19218.223.128.0/1718.223.128.1 to 18.223.255.25418.223.255.25532,766
19318.224.0.0/1718.224.0.1 to 18.224.127.25418.224.127.25532,766
19418.224.128.0/1718.224.128.1 to 18.224.255.25418.224.255.25532,766
19518.225.0.0/1718.225.0.1 to 18.225.127.25418.225.127.25532,766
19618.225.128.0/1718.225.128.1 to 18.225.255.25418.225.255.25532,766
19718.226.0.0/1718.226.0.1 to 18.226.127.25418.226.127.25532,766
19818.226.128.0/1718.226.128.1 to 18.226.255.25418.226.255.25532,766
19918.227.0.0/1718.227.0.1 to 18.227.127.25418.227.127.25532,766
20018.227.128.0/1718.227.128.1 to 18.227.255.25418.227.255.25532,766
20118.228.0.0/1718.228.0.1 to 18.228.127.25418.228.127.25532,766
20218.228.128.0/1718.228.128.1 to 18.228.255.25418.228.255.25532,766
20318.229.0.0/1718.229.0.1 to 18.229.127.25418.229.127.25532,766
20418.229.128.0/1718.229.128.1 to 18.229.255.25418.229.255.25532,766
20518.230.0.0/1718.230.0.1 to 18.230.127.25418.230.127.25532,766
20618.230.128.0/1718.230.128.1 to 18.230.255.25418.230.255.25532,766
20718.231.0.0/1718.231.0.1 to 18.231.127.25418.231.127.25532,766
20818.231.128.0/1718.231.128.1 to 18.231.255.25418.231.255.25532,766
20918.232.0.0/1718.232.0.1 to 18.232.127.25418.232.127.25532,766
21018.232.128.0/1718.232.128.1 to 18.232.255.25418.232.255.25532,766
21118.233.0.0/1718.233.0.1 to 18.233.127.25418.233.127.25532,766
21218.233.128.0/1718.233.128.1 to 18.233.255.25418.233.255.25532,766
21318.234.0.0/1718.234.0.1 to 18.234.127.25418.234.127.25532,766
21418.234.128.0/1718.234.128.1 to 18.234.255.25418.234.255.25532,766
21518.235.0.0/1718.235.0.1 to 18.235.127.25418.235.127.25532,766
21618.235.128.0/1718.235.128.1 to 18.235.255.25418.235.255.25532,766
21718.236.0.0/1718.236.0.1 to 18.236.127.25418.236.127.25532,766
21818.236.128.0/1718.236.128.1 to 18.236.255.25418.236.255.25532,766
21918.237.0.0/1718.237.0.1 to 18.237.127.25418.237.127.25532,766
22018.237.128.0/1718.237.128.1 to 18.237.255.25418.237.255.25532,766
22118.238.0.0/1718.238.0.1 to 18.238.127.25418.238.127.25532,766
22218.238.128.0/1718.238.128.1 to 18.238.255.25418.238.255.25532,766
22318.239.0.0/1718.239.0.1 to 18.239.127.25418.239.127.25532,766
22418.239.128.0/1718.239.128.1 to 18.239.255.25418.239.255.25532,766
22518.240.0.0/1718.240.0.1 to 18.240.127.25418.240.127.25532,766
22618.240.128.0/1718.240.128.1 to 18.240.255.25418.240.255.25532,766
22718.241.0.0/1718.241.0.1 to 18.241.127.25418.241.127.25532,766
22818.241.128.0/1718.241.128.1 to 18.241.255.25418.241.255.25532,766
22918.242.0.0/1718.242.0.1 to 18.242.127.25418.242.127.25532,766
23018.242.128.0/1718.242.128.1 to 18.242.255.25418.242.255.25532,766
23118.243.0.0/1718.243.0.1 to 18.243.127.25418.243.127.25532,766
23218.243.128.0/1718.243.128.1 to 18.243.255.25418.243.255.25532,766
23318.244.0.0/1718.244.0.1 to 18.244.127.25418.244.127.25532,766
23418.244.128.0/1718.244.128.1 to 18.244.255.25418.244.255.25532,766
23518.245.0.0/1718.245.0.1 to 18.245.127.25418.245.127.25532,766
23618.245.128.0/1718.245.128.1 to 18.245.255.25418.245.255.25532,766
23718.246.0.0/1718.246.0.1 to 18.246.127.25418.246.127.25532,766
23818.246.128.0/1718.246.128.1 to 18.246.255.25418.246.255.25532,766
23918.247.0.0/1718.247.0.1 to 18.247.127.25418.247.127.25532,766
24018.247.128.0/1718.247.128.1 to 18.247.255.25418.247.255.25532,766
24118.248.0.0/1718.248.0.1 to 18.248.127.25418.248.127.25532,766
24218.248.128.0/1718.248.128.1 to 18.248.255.25418.248.255.25532,766
24318.249.0.0/1718.249.0.1 to 18.249.127.25418.249.127.25532,766
24418.249.128.0/1718.249.128.1 to 18.249.255.25418.249.255.25532,766
24518.250.0.0/1718.250.0.1 to 18.250.127.25418.250.127.25532,766
24618.250.128.0/1718.250.128.1 to 18.250.255.25418.250.255.25532,766
24718.251.0.0/1718.251.0.1 to 18.251.127.25418.251.127.25532,766
24818.251.128.0/1718.251.128.1 to 18.251.255.25418.251.255.25532,766
24918.252.0.0/1718.252.0.1 to 18.252.127.25418.252.127.25532,766
25018.252.128.0/1718.252.128.1 to 18.252.255.25418.252.255.25532,766
25118.253.0.0/1718.253.0.1 to 18.253.127.25418.253.127.25532,766
25218.253.128.0/1718.253.128.1 to 18.253.255.25418.253.255.25532,766
25318.254.0.0/1718.254.0.1 to 18.254.127.25418.254.127.25532,766
25418.254.128.0/1718.254.128.1 to 18.254.255.25418.254.255.25532,766
25518.255.0.0/1718.255.0.1 to 18.255.127.25418.255.127.25532,766
25618.255.128.0/1718.255.128.1 to 18.255.255.25418.255.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses